> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mycreditapp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create host connection

> Create a new host connection using an optional invitation token and host organization ID.
    #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
    | Guest | Host | Self |
    |-------|------|------|
    | ❌    | ❌   | ✅  |



## OpenAPI

````yaml /content/developer-guide/api-reference/openapi_v1.json post /host-connections
openapi: 3.1.0
info:
  title: API - V1
  version: 1.0.0
servers:
  - url: https://api.mycreditapp.ai/v1-beta
security: []
paths:
  /host-connections:
    post:
      tags:
        - Host Connections
      summary: Create host connection
      description: >-
        Create a new host connection using an optional invitation token and host
        organization ID.
            #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
            | Guest | Host | Self |
            |-------|------|------|
            | ❌    | ❌   | ✅  |
      operationId: create_host_connection_host_connections_post
      parameters:
        - name: Requester-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: |

              The unique identifier of the organization making the request.
              **This ID is used to authorize the requester within the system**.
            examples:
              - 054b4106-174b-46b0-97f8-86d8d7b6f0af
            title: Requester-Organization-Id
          description: |

            The unique identifier of the organization making the request.
            **This ID is used to authorize the requester within the system**.
        - name: Target-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: >

              The unique identifier of the organization that is the target of
              the request.

              The `Target-Organization-ID` may match the
              `Requester-Organization-ID` if the requester accesses their own
              resources.

              If the `Target-Organization-ID` differs from the
              `Requester-Organization-ID`, the requester can access third-party
              resources **if the requester has a connection with the target
              organization and is authorized to perform such actions**.
            examples:
              - 123e4567-e89b-12d3-a456-426614174000
            title: Target-Organization-Id
          description: >

            The unique identifier of the organization that is the target of the
            request.

            The `Target-Organization-ID` may match the
            `Requester-Organization-ID` if the requester accesses their own
            resources.

            If the `Target-Organization-ID` differs from the
            `Requester-Organization-ID`, the requester can access third-party
            resources **if the requester has a connection with the target
            organization and is authorized to perform such actions**.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HostConnectionCreate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostConnection'
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Invalid invitation token!
                    type: request
                    code: invalid_invitation_token
                  - loc: []
                    msg: Invitation token has expired!
                    type: request
                    code: invitation_token_expired
                  - loc: []
                    msg: Unsupported CRUD operation!
                    type: request
                    code: unsupported_crud_operation
              schema:
                $ref: '#/components/schemas/APIError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Token is required!
                    type: token
                    code: token_required
                  - loc: []
                    msg: The token has expired!
                    type: token
                    code: token_expired
                  - loc: []
                    msg: Invalid token!
                    type: token
                    code: invalid_token
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Self connections are not allowed!
                    type: request
                    code: self_connection_not_allowed
                  - loc: []
                    msg: Access denied!
                    type: request
                    code: access_denied
              schema:
                $ref: '#/components/schemas/APIError'
        '404':
          description: Not Found
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Account not found!
                    type: request
                    code: account_not_found
                  - loc: []
                    msg: Host organization not found!
                    type: request
                    code: host_organization_not_found
                  - loc: []
                    msg: Organization not found!
                    type: request
                    code: organization_not_found
                  - loc: []
                    msg: Guest invitation not found!
                    type: request
                    code: guest_invitation_not_found
              schema:
                $ref: '#/components/schemas/APIError'
        '409':
          description: Conflict
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Host connection already exists!
                    type: request
                    code: host_connection_already_exists
                  - loc: []
                    msg: >-
                      The account is in the process of being deleted! The
                      Account's email can only be reused after its data has been
                      completely deleted. The removal process may take up to 24
                      hours.
                    type: request
                    code: account_being_deleted
                  - loc: []
                    msg: >-
                      The organization is in the process of being deleted! The
                      removal process may take up to 24 hours.
                    type: request
                    code: organization_being_deleted
              schema:
                $ref: '#/components/schemas/APIError'
        '413':
          description: Request Entity Too Large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: The request is too large!
                    type: request
                    code: request_too_large
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc:
                      - string
                      - 0
                    msg: string
                    type: string
                    code: validation_error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Error processing request, please try later!
                    type: try_later
                    code: internal_conflict_error
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Service is under maintenance, please try later!
                    type: maintanance
                    code: service_under_maintenance
      security:
        - Token: []
components:
  schemas:
    HostConnectionCreate:
      properties:
        host_organization_id:
          type: string
          format: uuid
          title: Host Organization Id
          description: >-
            Unique identifier of the host
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
          examples:
            - d49b0749-fbc7-4e0a-b03d-ef15f238071a
        invitation_token:
          anyOf:
            - type: string
              maxLength: 2000
              minLength: 10
            - type: 'null'
          title: Invitation Token
          description: Optional invitation token for connecting to the host
          examples:
            - eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
      type: object
      required:
        - host_organization_id
      title: HostConnectionCreate
    HostConnection:
      properties:
        host_organization_id:
          type: string
          format: uuid
          title: Host Organization Id
          description: >-
            Unique identifier of the host
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
          examples:
            - d49b0749-fbc7-4e0a-b03d-ef15f238071a
        guest_organization_id:
          type: string
          format: uuid
          title: Guest Organization Id
          description: >-
            Unique identifier of the guest
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
          examples:
            - 78b348b8-009c-4b87-af32-60a12fbc6e60
        host_name:
          type: string
          maxLength: 300
          minLength: 1
          title: Host Name
          description: >-
            Name of the host
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
          examples:
            - Example Host Corp
        host_email:
          type: string
          maxLength: 100
          minLength: 3
          format: email
          title: Host Email
          description: >-
            Email of the host
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
          examples:
            - hostcorp@example.com
        owner_email:
          type: string
          maxLength: 100
          minLength: 3
          format: email
          title: Owner Email
          description: >-
            Email of the host
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
            owner
          examples:
            - owner@example.com
        status:
          $ref: '#/components/schemas/ConnectionStatus'
          description: Current status of the connection
        archived:
          type: boolean
          title: Archived
          description: Indicates whether the connection is archived
        archived_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Archived At
          description: Datetime when the connection was archived
          examples:
            - '2025-12-12T12:00:00.123456'
        active_action_type:
          anyOf:
            - $ref: '#/components/schemas/ConnectionActionType'
            - type: 'null'
          description: Current active action on the connection
        active_action_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Active Action Updated At
          description: Datetime of the last update to the active action
          examples:
            - '2025-12-12T12:00:00.123456'
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Datetime when the connection was created
          examples:
            - '2025-12-12T12:00:00.123456'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Datetime when the host connection was updated
          examples:
            - '2025-12-12T12:00:00.123456'
      type: object
      required:
        - host_organization_id
        - guest_organization_id
        - host_name
        - host_email
        - owner_email
        - status
        - archived
        - created_at
        - updated_at
      title: HostConnection
    APIError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Detail
          description: >

            List of returned errors.

            **All unsuccessful error codes except code `422` can only contain 1
            element in the list**.
      type: object
      required:
        - detail
      title: APIError
    ConnectionStatus:
      type: string
      enum:
        - connected
        - disconnected
      title: ConnectionStatus
    ConnectionActionType:
      type: string
      enum:
        - analytics_request
      title: ConnectionActionType
    ErrorItem:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Loc
          description: |

            Shows the dynamic location of the current error.
            If an empty array is returned, the error is static.
          examples:
            - - body
              - date_field
              - 0
            - - header
              - Authorization
        msg:
          type: string
          title: Msg
          description: |

            A human-readable message providing more details about the error.
          examples:
            - Token is required!
            - Invalid token!
        type:
          type: string
          title: Type
          description: >

            A string indicating the type of error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible type for a specific error**.
          examples:
            - token
            - request
            - try_later
        code:
          type: string
          title: Code
          description: >

            Unique text error code identifying the error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible code for a specific error**.
          examples:
            - token_required
            - invalid_token
            - access_denied
      type: object
      required:
        - loc
        - msg
        - type
        - code
      title: ErrorItem
  securitySchemes:
    Token:
      type: http
      description: >-
        [Bearer
        authentication](/content/developer-guide/introduction/authentication)
        using a JWT token. Provide a valid access token. Authorization header
        format: `Authorization: Bearer <token>`.
      scheme: bearer

````